Status: Closed Priority: Should have
Author: Oliver Hader Category:
Created: 2012-11-20 Assigned To: Chris topher
Updated: 2013-03-03 Due date:
Subject: Integrate NULL value handling stdWrap.ifNull and stdWrap.if.isNull
Description

Please add the following new properties to TSref - one name is *if*Null (like ifBlank, ifEmpty) and the other one is *is*Null (like isTrue,
isFalse), so please watch on "if" vs. "is" since that happened to me as well... ;-)

1) In stdWrap section, before ifEmpty property, add new property

    -  Property: ifNull
    -  Datatype: string/stdWrap
    -  Description: If the content is null (PHP NULL type), the content is overridden with the value defined here.

2) In if section, before isTrue, add new property

    -  Property: isNull
    -  Datatype: stdWrap
    -  Description: If the resulting content of the stdWrap is null (PHP NULL type). Since null values cannot be assigned in TypoScript,
only the stdWrap features are available below this property.

See #43133.

Related issues:
related to Core - Feature # 43133: Integrate possibility to determine NULL va... Resolved 2012-11-20
related to TypoScript Reference (TSref) - Task # 43364: Add examples for stdW... Closed 2012-11-27

Associated revisions
Revision ad712fe4 - 2012-11-26 20:20 - Chris topher

[TASK] Integrate stdWrap.ifNull and stdWrap.if.isNull

Integrate stdWrap.ifNull and stdWrap.if.isNull for NULL value handling.

Change-Id: Ie2c8a75628603ef6aa5ffeedda9b6637111c9e8f
Resolves: #43181

History
#1 - 2012-11-20 23:24 - Oliver Hader
- Subject changed from Integrat NULL value handling stdWrap.ifNull and stdWrap.if.isNull to Integrate NULL value handling stdWrap.ifNull and 
stdWrap.if.isNull

#2 - 2012-11-26 20:17 - Gerrit Code Review
- Status changed from New to Under Review

Patch set 1 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/16749

#3 - 2012-11-26 20:22 - Chris topher
- Assigned To set to Chris topher

#4 - 2012-11-26 20:36 - Chris topher
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:ad712fe46eabbb6d4763441bdb96d501923ab995.

#5 - 2013-03-03 20:51 - Chris topher
- Status changed from Resolved to Closed
